# security | MatterLinux security tracker

![](https://git.matterlinux.xyz/matter/security/actions/workflows/docker.yml/badge.svg)

Soruce code of MatterLinux's security tracker, located at
[security.matterlinux.xyz](https://security.matterlinux.xyz)

### Deployment
Web server can be deployed with docker compose, here is an example configuration:
```yaml
services:
  security:
    container_name: mattersecurity
    image: git.matterlinux.xyz/matter/security
    ports:
      - "127.0.0.1:9876:9876"
    volumes:
      - "./db:/app/db"
    restart: unless-stopped
```
After saving the configuration file, you can run the docker container:
```bash
docker-compose up -d
```

### Adding users
After running the application at least once, you can users using
the `adduser.sh` script. This script will add the specified user with a
randomly generated passwords to the sqlite database. For example:
```bash
./adduser.sh ngn
```
